<?php
/*
Plugin Name: Details by ModernThemes
Plugin URI: http://modernthemes.net/plugins/details
Description: This is a plugin by ModernThemes that adds a Details widget.
Version: 1.1.4
Author: ModernThemes
Author URI: http://modernthemes.net
License: GPL2
Text Domain: mtdetails 
Domain Path: /languages/
*/


require 'plugin-updates/plugin-update-checker.php';  
$MyUpdateChecker = PucFactory::buildUpdateChecker(
'http://modernthemes.net/updates/?action=get_metadata&slug=mt_details', //Metadata URL.
__FILE__, //Full path to the main plugin file. 
'mt_details' //Plugin slug  
);


add_action('admin_init', 'mt_detailssettings_flush' );

function mt_detailssettings_flush(){ 

		if ( isset( $_POST['mt_detailssettings_options'] ) ) {


			flush_rewrite_rules();
		
		}

}

/* Paths for Files */
$mt_details_main_file = dirname(__FILE__).'/details-by-mt.php';
$mt_details_directory = plugin_dir_url($mt_details_main_file); 
$mt_details_path = dirname(__FILE__);

/* CSS and Scripts */
function mt_details_add_scripts() {
	global $mt_details_directory, $mt_details_path; 
	
		wp_enqueue_style('mt-details-style', $mt_details_directory. 'css/grid.css'); 
		wp_enqueue_style('mt-odometer-style', $mt_details_directory. 'css/odometer-theme-default.css');
		
		wp_enqueue_script( 'mt-waypoint', $mt_details_directory. 'js/inview.js', array('jquery'), false, true ); 
		
		wp_enqueue_script('mt-odometer-script', $mt_details_directory. 'js/odometer.js', array('jquery'), false, true ); 
		wp_enqueue_script('mt-details-script', $mt_details_directory. 'js/details.js', array('jquery'), false, true );
}
		
add_action('wp_enqueue_scripts', 'mt_details_add_scripts');  


class MT_Details_Widgets {
	public function __construct() {
		add_action( 'widgets_init', array( $this, 'load' ), 9 );
		add_action( 'widgets_init', array( $this, 'init' ), 10 );
		register_uninstall_hook( __FILE__, array( __CLASS__, 'uninstall' ) );
	}

	public function load() {
		$dir = plugin_dir_path( __FILE__ );

		include_once( $dir . 'inc/widget-mt-details.php' );
		
	}

	public function init() {
		if ( ! is_blog_installed() ) {
			return;
		}

		load_plugin_textdomain( 'mtdetails', false, 'mt_details/languages' );
		
		register_widget( 'mt_details' ); 
		
	}

	public function uninstall() {} 
}

$mt_details_widgets = new MT_Details_Widgets();